1. Domains
  • Assistants
    • List all assistants
      GET
    • Create a new assistant
      POST
    • Get an assistant
      GET
    • Update an assistant
      PATCH
    • Delete an assistant
      DELETE
  • Tool Templates
    • List all tool templates
      GET
    • Create a new tool template
      POST
    • Get a tool template
      GET
    • Update a tool template
      PATCH
    • Delete a tool template
      DELETE
  • Numbers
    • List all phone numbers
      GET
    • Register a phone number
      POST
    • Get a phone number
      GET
    • Update a phone number
      PATCH
    • Delete a phone number
      DELETE
  • Calls
    • List calls
      GET
    • Get call by ID
      GET
    • Initiate outbound call
      POST
  • Call Control
    • Send control command to active call
  • Usage
    • Get usage logs
  • SIP Trunks
    • List SIP trunks
    • Create a SIP trunk
    • Get a SIP trunk
    • Delete a SIP trunk
  • Voices
    • List available voices
  • BYOK
    • Get BYOK configurations
    • Add BYOK configuration
    • Delete BYOK configuration
    • Get BYOK provider configurations
  • Domains
    • Get your domain
      GET
    • Add a domain
      POST
    • Delete your domain
      DELETE
    • List available Resend domains
      GET
    • Select and sync a Resend domain
      POST
    • Verify domain DNS records
      POST
    • Refresh domain status
      POST
  • Webhooks
    • Dynamic assistant configuration webhook
    • Tool/Function Call
    • Call Status Update
    • End of Call Report
  • Analysis Templates
    • List analysis templates
    • Create analysis template
    • Get analysis template
    • Update analysis template
    • Delete analysis template
  • Organization
    • Get organization information
    • Create organization
    • Get organization information (deprecated)
  • Campaigns
    • List all campaigns
    • Create a campaign
    • Get a campaign
    • Update a campaign
    • Delete a campaign
    • List campaign leads
    • Add a lead
    • Remove a lead
  • Agents (Deprecated)
    • List all agents
    • Create a new agent
    • Get an agent
    • Update an agent
    • Delete an agent
  • Schemas
    • Error
    • Pagination
    • UUID
    • Timestamp
    • SuccessResponse
    • STTConfig
    • LLMConfig
    • TTSConfig
    • Agent
    • XAIRealtimeConfig
    • AgentCreate
    • AgentUpdate
    • PhoneNumber
    • PhoneNumberCreate
    • PhoneNumberUpdate
    • Call
    • CallControlCommand
    • InjectContextCommand
    • SayCommand
    • EndCallCommand
    • TransferCommand
    • CallControlResponse
    • OutboundCallRequest
    • UsageLog
    • OutboundCallResponse
    • UsageSummary
    • Organization
    • SipTrunk
    • SipTrunkCreate
    • OrganizationChild
    • Voice
    • OrganizationCreate
    • OrganizationCreated
    • AssistantRequestPayload
    • CallObject
    • Customer
    • AssistantRequestResponse
    • XAIRealtimeVoice
    • AssistantConfigOverride
    • AnalysisPlan
    • AssistantWebhookObject
    • ToolCallsPayload
    • ToolCall
    • ToolCallsResponse
    • StatusUpdatePayload
    • EndOfCallReportPayload
    • ToolDefinition
    • EndCallTool
    • TransferCallTool
    • WebhookHeaders
    • XAIRealtimeWebhookNotes
    • ToolFunctionConfig
    • ToolTransferConfig
    • ToolTemplate
    • ToolTemplateCreate
    • ToolTemplateUpdate
    • AnalysisTemplate
    • CreateAnalysisTemplate
    • UpdateAnalysisTemplate
    • AnalysisTemplateListResponse
    • CampaignLead
    • Campaign
    • CampaignCreate
    • CampaignUpdate
    • CampaignLeadCreate
DocumentationAPI Reference
DocumentationAPI Reference
Book a meeting
Linkedin
Github
  1. Domains

Add a domain

POST
https://api.hmsovereign.com/api/v1/domains
Domains
Last modified:2026-03-12 10:32:36
Maintainer:Jesper Rietbergen
Create a custom email domain in Resend for sending notifications from your organization. Requires a Resend API key configured via BYOK. You can only have one domain configured per organization.

Request

Authorization
Body Params application/jsonRequired

Examples

Responses

🟢201
application/json
Domain created successfully in Resend
Body

🟠409BadRequest
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.hmsovereign.com/api/v1/domains' \
--header 'Content-Type: application/json' \
--data-raw '{
    "domain_name": "notifications.example.com"
}'
Response Response Example
201 - Example 1
{
    "domain": {}
}
Modified at 2026-03-12 10:32:36
Previous
Get your domain
Next
Delete your domain
Built with